package epsilonStandalone;

import epsilonStandalone.EpsilonBase;
import java.io.File;
import java.io.FileWriter;
import java.util.LinkedList;
import java.util.Map;
import org.eclipse.emf.common.util.URI;
import org.eclipse.emf.ecore.plugin.EcorePlugin;
import org.eclipse.epsilon.emc.emf.EmfModel;
import org.eclipse.epsilon.eol.execute.context.Variable;
import org.eclipse.xtext.xbase.lib.CollectionLiterals;
import org.eclipse.xtext.xbase.lib.Exceptions;
import org.eclipse.xtext.xbase.lib.InputOutput;

@SuppressWarnings("all")
public class DNIRunner_Demo {
  public static void main(final String[] args) {
    try {
      String dir = "/Users/Piotr/WuePhD/Research/CleanDNI/DNI-standalone/src/epsilonStandalone/";
      Map<String, URI> _platformResourceMap = EcorePlugin.getPlatformResourceMap();
      URI _createFileURI = URI.createFileURI((dir + "models/"));
      _platformResourceMap.put("models", _createFileURI);
      EmfModel inputModel = EpsilonBase.readEmfModel("DNI", "models/scenario0A.model", "metamodels/dnimm3.ecore");
      LinkedList<Variable> _newLinkedList = CollectionLiterals.<Variable>newLinkedList();
      EmfModel dni1 = EpsilonBase.applyEolScript(inputModel, "eol/DNI-model-check.eol", _newLinkedList);
      LinkedList<Variable> _newLinkedList_1 = CollectionLiterals.<Variable>newLinkedList();
      EmfModel dni2 = EpsilonBase.applyEolScript(dni1, "eol/DNI-fix-sdn-routing.eol", _newLinkedList_1);
      LinkedList<Variable> _newLinkedList_2 = CollectionLiterals.<Variable>newLinkedList();
      EmfModel dni3 = EpsilonBase.applyEolScript(dni2, "eol/DNI-auto-name.eol", _newLinkedList_2);
      dni3.store("models/scenario0A-dni3.model");
      LinkedList<Variable> _newLinkedList_3 = CollectionLiterals.<Variable>newLinkedList();
      EmfModel dni4 = EpsilonBase.applyEolScript(dni2, "eol/DNI-routing-DNI.eol", _newLinkedList_3);
      dni4.store("models/scenario0A-dni4.model");
      String qpnOutputURI = "models/scenario0A-qpn.model";
      EmfModel qpn = EpsilonBase.createEmfModelByURI("QPME", qpnOutputURI, "metamodels/qpme.ecore", false, true);
      LinkedList<Variable> _newLinkedList_4 = CollectionLiterals.<Variable>newLinkedList();
      EpsilonBase.applyEtlScript(dni4, qpn, "etl/DNI-QPN.etl", _newLinkedList_4);
      qpn.store(qpnOutputURI);
      LinkedList<Variable> _newLinkedList_5 = CollectionLiterals.<Variable>newLinkedList();
      String text = EpsilonBase.applyEglScript(qpn, "egl/dni2qpme.egl", _newLinkedList_5);
      File file = DNIRunner_Demo.saveOutput(text, ((dir + qpnOutputURI) + ".qpe"));
      InputOutput.<File>println(file);
    } catch (Throwable _e) {
      throw Exceptions.sneakyThrow(_e);
    }
  }
  
  public static File saveOutput(final String txt, final String fname) {
    try {
      File file = new File(fname);
      file.createNewFile();
      FileWriter writer = new FileWriter(file);
      writer.write(txt);
      writer.flush();
      writer.close();
      return file;
    } catch (Throwable _e) {
      throw Exceptions.sneakyThrow(_e);
    }
  }
}
