package epsilonStandalone;

import com.google.common.base.Objects;
import java.io.File;
import java.io.IOException;
import java.util.HashMap;
import java.util.LinkedHashMap;
import java.util.LinkedList;
import java.util.function.BiConsumer;
import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.parsers.ParserConfigurationException;
import org.eclipse.xtext.xbase.lib.CollectionLiterals;
import org.eclipse.xtext.xbase.lib.Exceptions;
import org.eclipse.xtext.xbase.lib.Functions.Function1;
import org.eclipse.xtext.xbase.lib.InputOutput;
import org.eclipse.xtext.xbase.lib.IterableExtensions;
import org.eclipse.xtext.xbase.lib.MapExtensions;
import org.eclipse.xtext.xbase.lib.Procedures.Procedure3;
import org.w3c.dom.Document;
import org.w3c.dom.Element;
import org.w3c.dom.NamedNodeMap;
import org.w3c.dom.Node;
import org.w3c.dom.NodeList;
import org.xml.sax.SAXException;

@SuppressWarnings("all")
public class SimQpnResultsParser {
  public LinkedList<Object> files = CollectionLiterals.<Object>newLinkedList();
  
  public LinkedList<String> interestingPlaces = CollectionLiterals.<String>newLinkedList();
  
  public LinkedList<String> interestingColors = CollectionLiterals.<String>newLinkedList();
  
  public LinkedList<String> interestingMetrics = CollectionLiterals.<String>newLinkedList();
  
  public String processFile(final String fileName) {
    try {
      HashMap<String, HashMap<String, LinkedHashMap<String, Double>>> map = this.parse(fileName);
      InputOutput.<String>println(("WholeMap: " + map));
      final Procedure3<String, HashMap<String, LinkedHashMap<String, Double>>, Integer> _function = (String placeName, HashMap<String, LinkedHashMap<String, Double>> colorMetricValueHM, Integer placeIndex) -> {
        InputOutput.<String>println(((("CMV (" + placeName) + "): ") + colorMetricValueHM));
        final BiConsumer<String, LinkedHashMap<String, Double>> _function_1 = (String colorName, LinkedHashMap<String, Double> metricValueHM) -> {
          final BiConsumer<String, Double> _function_2 = (String metricName, Double value) -> {
            InputOutput.<String>println(((((((("place: " + placeName) + " colorName ") + colorName) + " metricName ") + metricName) + " values: ") + value));
            double tokensPerSec = (value).doubleValue();
            double bytes = this.parseColorMessageSize(colorName, 1024);
            double bytesPerSec = (tokensPerSec * bytes);
          };
          metricValueHM.forEach(_function_2);
        };
        colorMetricValueHM.forEach(_function_1);
      };
      MapExtensions.<String, HashMap<String, LinkedHashMap<String, Double>>>forEach(map, _function);
      return map.toString();
    } catch (Throwable _e) {
      throw Exceptions.sneakyThrow(_e);
    }
  }
  
  public void getSimqpnFiles(final String directory) {
    File folder = new File(directory);
    System.out.println(("Reading dir " + directory));
    File[] listOfFiles = folder.listFiles();
    for (int i = 0; (i < listOfFiles.length); i++) {
      File _get = listOfFiles[i];
      boolean _isFile = _get.isFile();
      if (_isFile) {
        File _get_1 = listOfFiles[i];
        String fname = _get_1.getName();
        if ((fname.endsWith(".simqpn") && fname.startsWith("SimQPN_Output"))) {
          String path = ((directory + "/") + fname);
          System.out.println(("Filepath " + path));
          this.files.add(path);
        }
      }
    }
  }
  
  public double parseColorMessageSize(final String color, final int kiloMultipler) {
    String[] tokens = color.split("_");
    boolean size_found = false;
    for (final String t : tokens) {
      {
        if (size_found) {
          String token = t;
          long multipler = 1;
          boolean _contains = t.contains("G");
          if (_contains) {
            multipler = ((kiloMultipler * kiloMultipler) * kiloMultipler);
            String _replace = t.replace("G", "");
            token = _replace;
          } else {
            boolean _contains_1 = t.contains("M");
            if (_contains_1) {
              multipler = (kiloMultipler * kiloMultipler);
              String _replace_1 = t.replace("M", "");
              token = _replace_1;
            } else {
              boolean _contains_2 = t.contains("K");
              if (_contains_2) {
                multipler = kiloMultipler;
                String _replace_2 = t.replace("K", "");
                token = _replace_2;
              } else {
                multipler = 1;
              }
            }
          }
          try {
            Double _valueOf = Double.valueOf(token);
            double l = _valueOf.doubleValue();
            return (multipler * l);
          } catch (final Throwable _t) {
            if (_t instanceof NumberFormatException) {
              final NumberFormatException nfe = (NumberFormatException)_t;
            } else {
              throw Exceptions.sneakyThrow(_t);
            }
          }
          size_found = false;
        }
        boolean _equalsIgnoreCase = t.equalsIgnoreCase("size");
        if (_equalsIgnoreCase) {
          size_found = true;
        }
      }
    }
    return 0;
  }
  
  public boolean isInterestingColor(final String name) {
    final Function1<String, Boolean> _function = (String pn) -> {
      return Boolean.valueOf(name.contains(pn));
    };
    Iterable<String> _filter = IterableExtensions.<String>filter(this.interestingColors, _function);
    int _size = IterableExtensions.size(_filter);
    final boolean x = (_size > 0);
    return x;
  }
  
  public boolean isInterestingPlace(final String name) {
    final Function1<String, Boolean> _function = (String pn) -> {
      return Boolean.valueOf(name.contains(pn));
    };
    Iterable<String> _filter = IterableExtensions.<String>filter(this.interestingPlaces, _function);
    int _size = IterableExtensions.size(_filter);
    final boolean x = (_size > 0);
    return x;
  }
  
  public boolean isInterestingMetric(final String name) {
    final Function1<String, Boolean> _function = (String pn) -> {
      return Boolean.valueOf(name.equals(pn));
    };
    Iterable<String> _filter = IterableExtensions.<String>filter(this.interestingMetrics, _function);
    int _size = IterableExtensions.size(_filter);
    final boolean x = (_size > 0);
    return x;
  }
  
  public String getFriendlyName(final String name) {
    final Function1<String, Boolean> _function = (String pn) -> {
      return Boolean.valueOf(name.contains(pn));
    };
    Iterable<String> list = IterableExtensions.<String>filter(this.interestingPlaces, _function);
    boolean _isEmpty = IterableExtensions.isEmpty(list);
    if (_isEmpty) {
      return name;
    } else {
      return IterableExtensions.<String>head(list);
    }
  }
  
  public HashMap<String, HashMap<String, LinkedHashMap<String, Double>>> parse(final String fname) throws ParserConfigurationException, SAXException, IOException {
    HashMap<String, HashMap<String, LinkedHashMap<String, Double>>> placeColorsMetricValueHashMap = new HashMap<String, HashMap<String, LinkedHashMap<String, Double>>>();
    File fXmlFile = new File(fname);
    DocumentBuilderFactory dbFactory = DocumentBuilderFactory.newInstance();
    DocumentBuilder dBuilder = dbFactory.newDocumentBuilder();
    Document doc = dBuilder.parse(fXmlFile);
    Element _documentElement = doc.getDocumentElement();
    _documentElement.normalize();
    NodeList nList = doc.getElementsByTagName("observed-element");
    for (int i = 0; (i < nList.getLength()); i++) {
      {
        Node node = nList.item(i);
        short _nodeType = node.getNodeType();
        boolean _equals = (_nodeType == Node.ELEMENT_NODE);
        if (_equals) {
          Element obsElement = ((Element) node);
          String _attribute = obsElement.getAttribute("name");
          String obsElementName = ((String) _attribute);
          String _attribute_1 = obsElement.getAttribute("type");
          String obsElementType = ((String) _attribute_1);
          if ((this.isInterestingPlace(obsElementName) || this.interestingPlaces.isEmpty())) {
            HashMap<String, LinkedHashMap<String, Double>> colorMetricsHashMap = new HashMap<String, LinkedHashMap<String, Double>>();
            NodeList obsElementColors = obsElement.getElementsByTagName("color");
            for (int j = 0; (j < obsElementColors.getLength()); j++) {
              {
                Node colorNode = obsElementColors.item(j);
                if (((!Objects.equal(colorNode, null)) && (colorNode instanceof Element))) {
                  NamedNodeMap _attributes = colorNode.getAttributes();
                  Node _namedItem = _attributes.getNamedItem("name");
                  String colorName = _namedItem.getNodeValue();
                  if ((this.isInterestingColor(colorName) || this.interestingColors.isEmpty())) {
                    LinkedHashMap<String, Double> metrics = CollectionLiterals.<String, Double>newLinkedHashMap();
                    NodeList colorMetrics = ((Element) colorNode).getElementsByTagName("metric");
                    for (int k = 0; (k < colorMetrics.getLength()); k++) {
                      {
                        Node metricNode = colorMetrics.item(k);
                        if ((metricNode instanceof Element)) {
                          NamedNodeMap _attributes_1 = ((Element)metricNode).getAttributes();
                          Node _namedItem_1 = _attributes_1.getNamedItem("type");
                          String metricType = _namedItem_1.getNodeValue();
                          NamedNodeMap _attributes_2 = ((Element)metricNode).getAttributes();
                          Node _namedItem_2 = _attributes_2.getNamedItem("value");
                          String metricValue = _namedItem_2.getNodeValue();
                          if ((this.isInterestingMetric(metricType) || this.interestingMetrics.isEmpty())) {
                            double d_value = Double.parseDouble(metricValue);
                            metrics.put(metricType, Double.valueOf(d_value));
                          }
                        }
                      }
                    }
                    colorMetricsHashMap.put(colorName, metrics);
                  }
                }
              }
            }
            placeColorsMetricValueHashMap.put(obsElementName, colorMetricsHashMap);
          }
        }
      }
    }
    return placeColorsMetricValueHashMap;
  }
}
