/**
 */
package DNImaster.util;

import DNImaster.*;

import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.ecore.EPackage;

import org.eclipse.emf.ecore.util.Switch;

/**
 * <!-- begin-user-doc -->
 * The <b>Switch</b> for the model's inheritance hierarchy.
 * It supports the call {@link #doSwitch(EObject) doSwitch(object)}
 * to invoke the <code>caseXXX</code> method for each class of the model,
 * starting with the actual class of the object
 * and proceeding up the inheritance hierarchy
 * until a non-null result is returned,
 * which is the result of the switch.
 * <!-- end-user-doc -->
 * @see DNImaster.MasterPackage
 * @generated
 */
public class MasterSwitch<T> extends Switch<T> {
	/**
	 * The cached model package
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static MasterPackage modelPackage;

	/**
	 * Creates an instance of the switch.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public MasterSwitch() {
		if (modelPackage == null) {
			modelPackage = MasterPackage.eINSTANCE;
		}
	}

	/**
	 * Checks whether this is a switch for the given package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param ePackage the package in question.
	 * @return whether this is a switch for the given package.
	 * @generated
	 */
	@Override
	protected boolean isSwitchFor(EPackage ePackage) {
		return ePackage == modelPackage;
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	@Override
	protected T doSwitch(int classifierID, EObject theEObject) {
		switch (classifierID) {
			case MasterPackage.NAMED_ELEMENT: {
				NamedElement namedElement = (NamedElement)theEObject;
				T result = caseNamedElement(namedElement);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MasterPackage.ENTITY: {
				Entity entity = (Entity)theEObject;
				T result = caseEntity(entity);
				if (result == null) result = caseNamedElement(entity);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MasterPackage.NETWORK_INFRASTRUCTURE: {
				NetworkInfrastructure networkInfrastructure = (NetworkInfrastructure)theEObject;
				T result = caseNetworkInfrastructure(networkInfrastructure);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MasterPackage.EXPERIMENT_PARAM: {
				ExperimentParam experimentParam = (ExperimentParam)theEObject;
				T result = caseExperimentParam(experimentParam);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MasterPackage.NETWORK_STRUCTURE: {
				NetworkStructure networkStructure = (NetworkStructure)theEObject;
				T result = caseNetworkStructure(networkStructure);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MasterPackage.PERFORMANCE_SPECIFICATION: {
				PerformanceSpecification performanceSpecification = (PerformanceSpecification)theEObject;
				T result = casePerformanceSpecification(performanceSpecification);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MasterPackage.ELEMENT_WITH_PERFORMANCE: {
				ElementWithPerformance<?> elementWithPerformance = (ElementWithPerformance<?>)theEObject;
				T result = caseElementWithPerformance(elementWithPerformance);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MasterPackage.NODE: {
				Node<?> node = (Node<?>)theEObject;
				T result = caseNode(node);
				if (result == null) result = caseEntity(node);
				if (result == null) result = caseElementWithPerformance(node);
				if (result == null) result = caseNamedElement(node);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MasterPackage.VIRTUAL_NODE: {
				VirtualNode virtualNode = (VirtualNode)theEObject;
				T result = caseVirtualNode(virtualNode);
				if (result == null) result = caseNode(virtualNode);
				if (result == null) result = caseEntity(virtualNode);
				if (result == null) result = caseElementWithPerformance(virtualNode);
				if (result == null) result = caseNamedElement(virtualNode);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MasterPackage.PHYSICAL_NODE: {
				PhysicalNode physicalNode = (PhysicalNode)theEObject;
				T result = casePhysicalNode(physicalNode);
				if (result == null) result = caseNode(physicalNode);
				if (result == null) result = caseEntity(physicalNode);
				if (result == null) result = caseElementWithPerformance(physicalNode);
				if (result == null) result = caseNamedElement(physicalNode);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MasterPackage.END_NODE_PERF_SPEC: {
				EndNodePerfSpec endNodePerfSpec = (EndNodePerfSpec)theEObject;
				T result = caseEndNodePerfSpec(endNodePerfSpec);
				if (result == null) result = caseIntermediateNodePerfSpec(endNodePerfSpec);
				if (result == null) result = casePerformanceSpecification(endNodePerfSpec);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MasterPackage.INTERMEDIATE_NODE_PERF_SPEC: {
				IntermediateNodePerfSpec intermediateNodePerfSpec = (IntermediateNodePerfSpec)theEObject;
				T result = caseIntermediateNodePerfSpec(intermediateNodePerfSpec);
				if (result == null) result = casePerformanceSpecification(intermediateNodePerfSpec);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MasterPackage.DATA_PLANE_PERF_SPEC: {
				DataPlanePerfSpec dataPlanePerfSpec = (DataPlanePerfSpec)theEObject;
				T result = caseDataPlanePerfSpec(dataPlanePerfSpec);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MasterPackage.CONTROL_PLANE_PERF_SPEC: {
				ControlPlanePerfSpec controlPlanePerfSpec = (ControlPlanePerfSpec)theEObject;
				T result = caseControlPlanePerfSpec(controlPlanePerfSpec);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MasterPackage.LINK: {
				Link<?, ?> link = (Link<?, ?>)theEObject;
				T result = caseLink(link);
				if (result == null) result = caseEntity(link);
				if (result == null) result = caseElementWithPerformance(link);
				if (result == null) result = caseNamedElement(link);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MasterPackage.PHYSICAL_LINK: {
				PhysicalLink physicalLink = (PhysicalLink)theEObject;
				T result = casePhysicalLink(physicalLink);
				if (result == null) result = caseLink(physicalLink);
				if (result == null) result = caseEntity(physicalLink);
				if (result == null) result = caseElementWithPerformance(physicalLink);
				if (result == null) result = caseNamedElement(physicalLink);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MasterPackage.VIRTUAL_LINK: {
				VirtualLink virtualLink = (VirtualLink)theEObject;
				T result = caseVirtualLink(virtualLink);
				if (result == null) result = caseLink(virtualLink);
				if (result == null) result = caseEntity(virtualLink);
				if (result == null) result = caseElementWithPerformance(virtualLink);
				if (result == null) result = caseNamedElement(virtualLink);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MasterPackage.LINK_PERF_SPEC: {
				LinkPerfSpec linkPerfSpec = (LinkPerfSpec)theEObject;
				T result = caseLinkPerfSpec(linkPerfSpec);
				if (result == null) result = casePerformanceSpecification(linkPerfSpec);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MasterPackage.VIRTUAL_LINK_PERF_SPEC: {
				VirtualLinkPerfSpec virtualLinkPerfSpec = (VirtualLinkPerfSpec)theEObject;
				T result = caseVirtualLinkPerfSpec(virtualLinkPerfSpec);
				if (result == null) result = caseLinkPerfSpec(virtualLinkPerfSpec);
				if (result == null) result = casePerformanceSpecification(virtualLinkPerfSpec);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MasterPackage.PHYSICAL_LINK_PERF_SPEC: {
				PhysicalLinkPerfSpec physicalLinkPerfSpec = (PhysicalLinkPerfSpec)theEObject;
				T result = casePhysicalLinkPerfSpec(physicalLinkPerfSpec);
				if (result == null) result = caseLinkPerfSpec(physicalLinkPerfSpec);
				if (result == null) result = casePerformanceSpecification(physicalLinkPerfSpec);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MasterPackage.NETWORK_INTERFACE: {
				NetworkInterface<?> networkInterface = (NetworkInterface<?>)theEObject;
				T result = caseNetworkInterface(networkInterface);
				if (result == null) result = caseAddressableEntity(networkInterface);
				if (result == null) result = caseElementWithPerformance(networkInterface);
				if (result == null) result = caseEntity(networkInterface);
				if (result == null) result = caseNamedElement(networkInterface);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MasterPackage.NETWORK_INTERFACE_PERF_SPEC: {
				NetworkInterfacePerfSpec networkInterfacePerfSpec = (NetworkInterfacePerfSpec)theEObject;
				T result = caseNetworkInterfacePerfSpec(networkInterfacePerfSpec);
				if (result == null) result = casePerformanceSpecification(networkInterfacePerfSpec);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MasterPackage.VIRTUAL_NETWORK_INTERFACE_PERF_SPEC: {
				VirtualNetworkInterfacePerfSpec virtualNetworkInterfacePerfSpec = (VirtualNetworkInterfacePerfSpec)theEObject;
				T result = caseVirtualNetworkInterfacePerfSpec(virtualNetworkInterfacePerfSpec);
				if (result == null) result = caseNetworkInterfacePerfSpec(virtualNetworkInterfacePerfSpec);
				if (result == null) result = casePerformanceSpecification(virtualNetworkInterfacePerfSpec);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MasterPackage.PHYSICAL_NETWORK_INTERFACE_PERF_SPEC: {
				PhysicalNetworkInterfacePerfSpec physicalNetworkInterfacePerfSpec = (PhysicalNetworkInterfacePerfSpec)theEObject;
				T result = casePhysicalNetworkInterfacePerfSpec(physicalNetworkInterfacePerfSpec);
				if (result == null) result = caseNetworkInterfacePerfSpec(physicalNetworkInterfacePerfSpec);
				if (result == null) result = casePerformanceSpecification(physicalNetworkInterfacePerfSpec);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MasterPackage.PHYSICAL_NETWORK_INTERFACE: {
				PhysicalNetworkInterface physicalNetworkInterface = (PhysicalNetworkInterface)theEObject;
				T result = casePhysicalNetworkInterface(physicalNetworkInterface);
				if (result == null) result = caseNetworkInterface(physicalNetworkInterface);
				if (result == null) result = caseAddressableEntity(physicalNetworkInterface);
				if (result == null) result = caseElementWithPerformance(physicalNetworkInterface);
				if (result == null) result = caseEntity(physicalNetworkInterface);
				if (result == null) result = caseNamedElement(physicalNetworkInterface);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MasterPackage.VIRTUAL_NETWORK_INTERFACE: {
				VirtualNetworkInterface virtualNetworkInterface = (VirtualNetworkInterface)theEObject;
				T result = caseVirtualNetworkInterface(virtualNetworkInterface);
				if (result == null) result = caseNetworkInterface(virtualNetworkInterface);
				if (result == null) result = caseAddressableEntity(virtualNetworkInterface);
				if (result == null) result = caseElementWithPerformance(virtualNetworkInterface);
				if (result == null) result = caseEntity(virtualNetworkInterface);
				if (result == null) result = caseNamedElement(virtualNetworkInterface);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MasterPackage.ENTITY_ADDRESS: {
				EntityAddress entityAddress = (EntityAddress)theEObject;
				T result = caseEntityAddress(entityAddress);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MasterPackage.ADDRESSABLE_ENTITY: {
				AddressableEntity addressableEntity = (AddressableEntity)theEObject;
				T result = caseAddressableEntity(addressableEntity);
				if (result == null) result = caseEntity(addressableEntity);
				if (result == null) result = caseNamedElement(addressableEntity);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MasterPackage.NETWORK_CONFIGURATION: {
				NetworkConfiguration networkConfiguration = (NetworkConfiguration)theEObject;
				T result = caseNetworkConfiguration(networkConfiguration);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MasterPackage.PROTOCOLS_REPOSITORY: {
				ProtocolsRepository protocolsRepository = (ProtocolsRepository)theEObject;
				T result = caseProtocolsRepository(protocolsRepository);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MasterPackage.PROTOCOL_STACK: {
				ProtocolStack protocolStack = (ProtocolStack)theEObject;
				T result = caseProtocolStack(protocolStack);
				if (result == null) result = caseEntity(protocolStack);
				if (result == null) result = caseNamedElement(protocolStack);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MasterPackage.PROTOCOL_LAYER: {
				ProtocolLayer protocolLayer = (ProtocolLayer)theEObject;
				T result = caseProtocolLayer(protocolLayer);
				if (result == null) result = caseEntity(protocolLayer);
				if (result == null) result = caseNamedElement(protocolLayer);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MasterPackage.NETWORK_PROTOCOL: {
				NetworkProtocol networkProtocol = (NetworkProtocol)theEObject;
				T result = caseNetworkProtocol(networkProtocol);
				if (result == null) result = caseEntity(networkProtocol);
				if (result == null) result = caseNamedElement(networkProtocol);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MasterPackage.ROUTES_REPOSITORY: {
				RoutesRepository routesRepository = (RoutesRepository)theEObject;
				T result = caseRoutesRepository(routesRepository);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MasterPackage.DIRECTION: {
				Direction direction = (Direction)theEObject;
				T result = caseDirection(direction);
				if (result == null) result = caseEntity(direction);
				if (result == null) result = caseNamedElement(direction);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MasterPackage.FLOW_ROUTE: {
				FlowRoute flowRoute = (FlowRoute)theEObject;
				T result = caseFlowRoute(flowRoute);
				if (result == null) result = caseEntity(flowRoute);
				if (result == null) result = caseNamedElement(flowRoute);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MasterPackage.ROUTE: {
				Route route = (Route)theEObject;
				T result = caseRoute(route);
				if (result == null) result = caseEntity(route);
				if (result == null) result = caseNamedElement(route);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MasterPackage.HOP: {
				Hop hop = (Hop)theEObject;
				T result = caseHop(hop);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MasterPackage.NETWORK_TRAFFIC: {
				NetworkTraffic networkTraffic = (NetworkTraffic)theEObject;
				T result = caseNetworkTraffic(networkTraffic);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MasterPackage.FLOW: {
				Flow flow = (Flow)theEObject;
				T result = caseFlow(flow);
				if (result == null) result = caseEntity(flow);
				if (result == null) result = caseNamedElement(flow);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MasterPackage.ONOFF_FLOW: {
				ONOFFFlow onoffFlow = (ONOFFFlow)theEObject;
				T result = caseONOFFFlow(onoffFlow);
				if (result == null) result = caseFlow(onoffFlow);
				if (result == null) result = caseEntity(onoffFlow);
				if (result == null) result = caseNamedElement(onoffFlow);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MasterPackage.GENERIC_FLOW: {
				GenericFlow genericFlow = (GenericFlow)theEObject;
				T result = caseGenericFlow(genericFlow);
				if (result == null) result = caseFlow(genericFlow);
				if (result == null) result = caseEntity(genericFlow);
				if (result == null) result = caseNamedElement(genericFlow);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MasterPackage.SOFTWARE_COMPONENT: {
				SoftwareComponent softwareComponent = (SoftwareComponent)theEObject;
				T result = caseSoftwareComponent(softwareComponent);
				if (result == null) result = caseEntity(softwareComponent);
				if (result == null) result = caseNamedElement(softwareComponent);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MasterPackage.TRAFFIC_SOURCE: {
				TrafficSource trafficSource = (TrafficSource)theEObject;
				T result = caseTrafficSource(trafficSource);
				if (result == null) result = caseAddressableEntity(trafficSource);
				if (result == null) result = caseEntity(trafficSource);
				if (result == null) result = caseNamedElement(trafficSource);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MasterPackage.WORKLOAD: {
				Workload workload = (Workload)theEObject;
				T result = caseWorkload(workload);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MasterPackage.GENERIC_WORKLOAD: {
				GenericWorkload genericWorkload = (GenericWorkload)theEObject;
				T result = caseGenericWorkload(genericWorkload);
				if (result == null) result = caseWorkload(genericWorkload);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MasterPackage.ABSTRACT_ACTION: {
				AbstractAction abstractAction = (AbstractAction)theEObject;
				T result = caseAbstractAction(abstractAction);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MasterPackage.BRANCH_ACTION: {
				BranchAction branchAction = (BranchAction)theEObject;
				T result = caseBranchAction(branchAction);
				if (result == null) result = caseAbstractAction(branchAction);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MasterPackage.LOOP_ACTION: {
				LoopAction loopAction = (LoopAction)theEObject;
				T result = caseLoopAction(loopAction);
				if (result == null) result = caseAbstractAction(loopAction);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MasterPackage.SEQUENCE_ACTION: {
				SequenceAction sequenceAction = (SequenceAction)theEObject;
				T result = caseSequenceAction(sequenceAction);
				if (result == null) result = caseAbstractAction(sequenceAction);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MasterPackage.START_ACTION: {
				StartAction startAction = (StartAction)theEObject;
				T result = caseStartAction(startAction);
				if (result == null) result = caseAbstractAction(startAction);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MasterPackage.STOP_ACTION: {
				StopAction stopAction = (StopAction)theEObject;
				T result = caseStopAction(stopAction);
				if (result == null) result = caseAbstractAction(stopAction);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MasterPackage.TRANSMIT_ACTION: {
				TransmitAction transmitAction = (TransmitAction)theEObject;
				T result = caseTransmitAction(transmitAction);
				if (result == null) result = caseAbstractAction(transmitAction);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MasterPackage.WAIT_ACTION: {
				WaitAction waitAction = (WaitAction)theEObject;
				T result = caseWaitAction(waitAction);
				if (result == null) result = caseAbstractAction(waitAction);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MasterPackage.DNI_UNIT: {
				DNIUnit dniUnit = (DNIUnit)theEObject;
				T result = caseDNIUnit(dniUnit);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MasterPackage.SPEED_UNIT: {
				SpeedUnit speedUnit = (SpeedUnit)theEObject;
				T result = caseSpeedUnit(speedUnit);
				if (result == null) result = caseDNIUnit(speedUnit);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MasterPackage.DATA_UNIT: {
				DataUnit dataUnit = (DataUnit)theEObject;
				T result = caseDataUnit(dataUnit);
				if (result == null) result = caseDNIUnit(dataUnit);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MasterPackage.TIME_UNIT: {
				TimeUnit timeUnit = (TimeUnit)theEObject;
				T result = caseTimeUnit(timeUnit);
				if (result == null) result = caseDNIUnit(timeUnit);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MasterPackage.DEPENDENCY: {
				Dependency dependency = (Dependency)theEObject;
				T result = caseDependency(dependency);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MasterPackage.VARIABLE: {
				Variable variable = (Variable)theEObject;
				T result = caseVariable(variable);
				if (result == null) result = caseDependency(variable);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MasterPackage.FUNCTION: {
				Function function = (Function)theEObject;
				T result = caseFunction(function);
				if (result == null) result = caseDependency(function);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MasterPackage.CONSTANT_DOUBLE_VARIABLE: {
				ConstantDoubleVariable constantDoubleVariable = (ConstantDoubleVariable)theEObject;
				T result = caseConstantDoubleVariable(constantDoubleVariable);
				if (result == null) result = caseVariable(constantDoubleVariable);
				if (result == null) result = caseDependency(constantDoubleVariable);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MasterPackage.CONSTANT_LONG_VARIABLE: {
				ConstantLongVariable constantLongVariable = (ConstantLongVariable)theEObject;
				T result = caseConstantLongVariable(constantLongVariable);
				if (result == null) result = caseVariable(constantLongVariable);
				if (result == null) result = caseDependency(constantLongVariable);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MasterPackage.RANDOM_VARIABLE: {
				RandomVariable randomVariable = (RandomVariable)theEObject;
				T result = caseRandomVariable(randomVariable);
				if (result == null) result = caseVariable(randomVariable);
				if (result == null) result = caseDependency(randomVariable);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MasterPackage.CONTINUOUS_FUNCTION: {
				ContinuousFunction continuousFunction = (ContinuousFunction)theEObject;
				T result = caseContinuousFunction(continuousFunction);
				if (result == null) result = caseFunction(continuousFunction);
				if (result == null) result = caseDependency(continuousFunction);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MasterPackage.DISCRETE_FUNCTION: {
				DiscreteFunction discreteFunction = (DiscreteFunction)theEObject;
				T result = caseDiscreteFunction(discreteFunction);
				if (result == null) result = caseFunction(discreteFunction);
				if (result == null) result = caseDependency(discreteFunction);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MasterPackage.DATA_SERIES: {
				DataSeries dataSeries = (DataSeries)theEObject;
				T result = caseDataSeries(dataSeries);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			default: return defaultCase(theEObject);
		}
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Named Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Named Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseNamedElement(NamedElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Entity</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Entity</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseEntity(Entity object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Network Infrastructure</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Network Infrastructure</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseNetworkInfrastructure(NetworkInfrastructure object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Experiment Param</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Experiment Param</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseExperimentParam(ExperimentParam object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Network Structure</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Network Structure</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseNetworkStructure(NetworkStructure object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Performance Specification</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Performance Specification</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T casePerformanceSpecification(PerformanceSpecification object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Element With Performance</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Element With Performance</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public <P> T caseElementWithPerformance(ElementWithPerformance<P> object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Node</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Node</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public <I> T caseNode(Node<I> object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Virtual Node</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Virtual Node</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseVirtualNode(VirtualNode object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Physical Node</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Physical Node</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T casePhysicalNode(PhysicalNode object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>End Node Perf Spec</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>End Node Perf Spec</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseEndNodePerfSpec(EndNodePerfSpec object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Intermediate Node Perf Spec</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Intermediate Node Perf Spec</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseIntermediateNodePerfSpec(IntermediateNodePerfSpec object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Data Plane Perf Spec</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Data Plane Perf Spec</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseDataPlanePerfSpec(DataPlanePerfSpec object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Control Plane Perf Spec</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Control Plane Perf Spec</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseControlPlanePerfSpec(ControlPlanePerfSpec object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Link</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Link</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public <P, I> T caseLink(Link<P, I> object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Physical Link</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Physical Link</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T casePhysicalLink(PhysicalLink object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Virtual Link</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Virtual Link</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseVirtualLink(VirtualLink object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Link Perf Spec</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Link Perf Spec</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseLinkPerfSpec(LinkPerfSpec object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Virtual Link Perf Spec</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Virtual Link Perf Spec</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseVirtualLinkPerfSpec(VirtualLinkPerfSpec object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Physical Link Perf Spec</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Physical Link Perf Spec</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T casePhysicalLinkPerfSpec(PhysicalLinkPerfSpec object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Network Interface</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Network Interface</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public <P> T caseNetworkInterface(NetworkInterface<P> object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Network Interface Perf Spec</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Network Interface Perf Spec</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseNetworkInterfacePerfSpec(NetworkInterfacePerfSpec object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Virtual Network Interface Perf Spec</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Virtual Network Interface Perf Spec</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseVirtualNetworkInterfacePerfSpec(VirtualNetworkInterfacePerfSpec object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Physical Network Interface Perf Spec</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Physical Network Interface Perf Spec</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T casePhysicalNetworkInterfacePerfSpec(PhysicalNetworkInterfacePerfSpec object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Physical Network Interface</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Physical Network Interface</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T casePhysicalNetworkInterface(PhysicalNetworkInterface object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Virtual Network Interface</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Virtual Network Interface</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseVirtualNetworkInterface(VirtualNetworkInterface object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Entity Address</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Entity Address</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseEntityAddress(EntityAddress object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Addressable Entity</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Addressable Entity</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseAddressableEntity(AddressableEntity object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Network Configuration</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Network Configuration</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseNetworkConfiguration(NetworkConfiguration object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Protocols Repository</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Protocols Repository</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseProtocolsRepository(ProtocolsRepository object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Protocol Stack</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Protocol Stack</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseProtocolStack(ProtocolStack object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Protocol Layer</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Protocol Layer</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseProtocolLayer(ProtocolLayer object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Network Protocol</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Network Protocol</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseNetworkProtocol(NetworkProtocol object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Routes Repository</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Routes Repository</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseRoutesRepository(RoutesRepository object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Direction</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Direction</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseDirection(Direction object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Flow Route</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Flow Route</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseFlowRoute(FlowRoute object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Route</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Route</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseRoute(Route object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Hop</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Hop</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseHop(Hop object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Network Traffic</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Network Traffic</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseNetworkTraffic(NetworkTraffic object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Flow</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Flow</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseFlow(Flow object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>ONOFF Flow</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>ONOFF Flow</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseONOFFFlow(ONOFFFlow object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Generic Flow</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Generic Flow</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseGenericFlow(GenericFlow object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Software Component</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Software Component</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseSoftwareComponent(SoftwareComponent object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Traffic Source</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Traffic Source</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseTrafficSource(TrafficSource object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Workload</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Workload</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseWorkload(Workload object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Generic Workload</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Generic Workload</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseGenericWorkload(GenericWorkload object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Abstract Action</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Abstract Action</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseAbstractAction(AbstractAction object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Branch Action</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Branch Action</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseBranchAction(BranchAction object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Loop Action</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Loop Action</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseLoopAction(LoopAction object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Sequence Action</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Sequence Action</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseSequenceAction(SequenceAction object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Start Action</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Start Action</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseStartAction(StartAction object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Stop Action</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Stop Action</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseStopAction(StopAction object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Transmit Action</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Transmit Action</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseTransmitAction(TransmitAction object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Wait Action</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Wait Action</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseWaitAction(WaitAction object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>DNI Unit</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>DNI Unit</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseDNIUnit(DNIUnit object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Speed Unit</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Speed Unit</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseSpeedUnit(SpeedUnit object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Data Unit</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Data Unit</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseDataUnit(DataUnit object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Time Unit</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Time Unit</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseTimeUnit(TimeUnit object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Dependency</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Dependency</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseDependency(Dependency object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Variable</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Variable</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseVariable(Variable object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Function</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Function</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseFunction(Function object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Constant Double Variable</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Constant Double Variable</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseConstantDoubleVariable(ConstantDoubleVariable object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Constant Long Variable</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Constant Long Variable</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseConstantLongVariable(ConstantLongVariable object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Random Variable</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Random Variable</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseRandomVariable(RandomVariable object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Continuous Function</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Continuous Function</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseContinuousFunction(ContinuousFunction object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Discrete Function</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Discrete Function</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseDiscreteFunction(DiscreteFunction object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Data Series</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Data Series</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseDataSeries(DataSeries object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch, but this is the last case anyway.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject)
	 * @generated
	 */
	@Override
	public T defaultCase(EObject object) {
		return null;
	}

} //MasterSwitch
