/**
 */
package tools.descartes.dni.dnimm3ap;

import java.util.List;
import tools.descartes.dni.dnimm3.NodeType;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Adaptable Node</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * </p>
 * <ul>
 *   <li>{@link tools.descartes.dni.dnimm3ap.AdaptableNode#getName <em>Name</em>}</li>
 *   <li>{@link tools.descartes.dni.dnimm3ap.AdaptableNode#getEndPerformance <em>End Performance</em>}</li>
 *   <li>{@link tools.descartes.dni.dnimm3ap.AdaptableNode#getIntermediatePerformance <em>Intermediate Performance</em>}</li>
 *   <li>{@link tools.descartes.dni.dnimm3ap.AdaptableNode#getSdnNodePerformance <em>Sdn Node Performance</em>}</li>
 *   <li>{@link tools.descartes.dni.dnimm3ap.AdaptableNode#getNetworkInterface <em>Network Interface</em>}</li>
 *   <li>{@link tools.descartes.dni.dnimm3ap.AdaptableNode#getAdaptationGroup <em>Adaptation Group</em>}</li>
 * </ul>
 *
 * @see tools.descartes.dni.dnimm3ap.DNIAPPackage#getAdaptableNode()
 * @model
 * @generated
 */
public interface AdaptableNode extends IAdaptableEntity<NodeType>, IAdaptableGroupableEntity {
	/**
	 * Returns the value of the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Name</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Name</em>' attribute.
	 * @see tools.descartes.dni.dnimm3ap.DNIAPPackage#getAdaptableNode_Name()
	 * @model unique="false" transient="true" changeable="false" volatile="true" derived="true"
	 *        annotation="http://www.eclipse.org/emf/2002/GenModel get='&lt;%tools.descartes.dni.dnimm3.NodeType%&gt; _entityType = this.getEntityType();\nboolean _tripleNotEquals = (_entityType != null);\nif (_tripleNotEquals)\n{\n\treturn this.getEntityType().getName();\n}\nelse\n{\n\treturn \"Unspecified entity type\";\n}'"
	 * @generated
	 */
	String getName();

	/**
	 * Returns the value of the '<em><b>End Performance</b></em>' reference list.
	 * The list contents are of type {@link tools.descartes.dni.dnimm3ap.AdaptableEndPerformance}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>End Performance</em>' reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>End Performance</em>' reference list.
	 * @see tools.descartes.dni.dnimm3ap.DNIAPPackage#getAdaptableNode_EndPerformance()
	 * @model
	 * @generated
	 */
	List<AdaptableEndPerformance> getEndPerformance();

	/**
	 * Returns the value of the '<em><b>Intermediate Performance</b></em>' reference list.
	 * The list contents are of type {@link tools.descartes.dni.dnimm3ap.AdaptableIntermediatePerformance}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Intermediate Performance</em>' reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Intermediate Performance</em>' reference list.
	 * @see tools.descartes.dni.dnimm3ap.DNIAPPackage#getAdaptableNode_IntermediatePerformance()
	 * @model
	 * @generated
	 */
	List<AdaptableIntermediatePerformance> getIntermediatePerformance();

	/**
	 * Returns the value of the '<em><b>Sdn Node Performance</b></em>' reference list.
	 * The list contents are of type {@link tools.descartes.dni.dnimm3ap.AdaptableSdnNodePerformance}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Sdn Node Performance</em>' reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Sdn Node Performance</em>' reference list.
	 * @see tools.descartes.dni.dnimm3ap.DNIAPPackage#getAdaptableNode_SdnNodePerformance()
	 * @model
	 * @generated
	 */
	List<AdaptableSdnNodePerformance> getSdnNodePerformance();

	/**
	 * Returns the value of the '<em><b>Network Interface</b></em>' reference list.
	 * The list contents are of type {@link tools.descartes.dni.dnimm3ap.AdaptableNetworkInterface}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Network Interface</em>' reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Network Interface</em>' reference list.
	 * @see tools.descartes.dni.dnimm3ap.DNIAPPackage#getAdaptableNode_NetworkInterface()
	 * @model
	 * @generated
	 */
	List<AdaptableNetworkInterface> getNetworkInterface();

	/**
	 * Returns the value of the '<em><b>Adaptation Group</b></em>' reference.
	 * It is bidirectional and its opposite is '{@link tools.descartes.dni.dnimm3ap.NodeAdaptationGroup#getItems <em>Items</em>}'.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Adaptation Group</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Adaptation Group</em>' reference.
	 * @see #setAdaptationGroup(NodeAdaptationGroup)
	 * @see tools.descartes.dni.dnimm3ap.DNIAPPackage#getAdaptableNode_AdaptationGroup()
	 * @see tools.descartes.dni.dnimm3ap.NodeAdaptationGroup#getItems
	 * @model opposite="items"
	 * @generated
	 */
	NodeAdaptationGroup getAdaptationGroup();

	/**
	 * Sets the value of the '{@link tools.descartes.dni.dnimm3ap.AdaptableNode#getAdaptationGroup <em>Adaptation Group</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Adaptation Group</em>' reference.
	 * @see #getAdaptationGroup()
	 * @generated
	 */
	void setAdaptationGroup(NodeAdaptationGroup value);

} // AdaptableNode
