/**
 */
package tools.descartes.dni.dnimm3ap.util;

import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.ecore.EPackage;

import org.eclipse.emf.ecore.util.Switch;

import tools.descartes.dni.dnimm3.ITypedEntity;
import tools.descartes.dni.dnimm3.Identifier;
import tools.descartes.dni.dnimm3.NamedElement;

import tools.descartes.dni.dnimm3ap.*;

/**
 * <!-- begin-user-doc -->
 * The <b>Switch</b> for the model's inheritance hierarchy.
 * It supports the call {@link #doSwitch(EObject) doSwitch(object)}
 * to invoke the <code>caseXXX</code> method for each class of the model,
 * starting with the actual class of the object
 * and proceeding up the inheritance hierarchy
 * until a non-null result is returned,
 * which is the result of the switch.
 * <!-- end-user-doc -->
 * @see tools.descartes.dni.dnimm3ap.DNIAPPackage
 * @generated
 */
public class DNIAPSwitch<T1> extends Switch<T1> {
	/**
	 * The cached model package
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static DNIAPPackage modelPackage;

	/**
	 * Creates an instance of the switch.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public DNIAPSwitch() {
		if (modelPackage == null) {
			modelPackage = DNIAPPackage.eINSTANCE;
		}
	}

	/**
	 * Checks whether this is a switch for the given package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param ePackage the package in question.
	 * @return whether this is a switch for the given package.
	 * @generated
	 */
	@Override
	protected boolean isSwitchFor(EPackage ePackage) {
		return ePackage == modelPackage;
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	@Override
	protected T1 doSwitch(int classifierID, EObject theEObject) {
		switch (classifierID) {
			case DNIAPPackage.ADAPTATION_POINTS: {
				AdaptationPoints adaptationPoints = (AdaptationPoints)theEObject;
				T1 result = caseAdaptationPoints(adaptationPoints);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case DNIAPPackage.ADAPTATION_REPOSITORIES: {
				AdaptationRepositories adaptationRepositories = (AdaptationRepositories)theEObject;
				T1 result = caseAdaptationRepositories(adaptationRepositories);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case DNIAPPackage.IADAPTABLE_ENTITY: {
				IAdaptableEntity<?> iAdaptableEntity = (IAdaptableEntity<?>)theEObject;
				T1 result = caseIAdaptableEntity(iAdaptableEntity);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case DNIAPPackage.IADAPTABLE_GROUPABLE_ENTITY: {
				IAdaptableGroupableEntity iAdaptableGroupableEntity = (IAdaptableGroupableEntity)theEObject;
				T1 result = caseIAdaptableGroupableEntity(iAdaptableGroupableEntity);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case DNIAPPackage.ADAPTABLE_NODE: {
				AdaptableNode adaptableNode = (AdaptableNode)theEObject;
				T1 result = caseAdaptableNode(adaptableNode);
				if (result == null) result = caseIAdaptableEntity(adaptableNode);
				if (result == null) result = caseIAdaptableGroupableEntity(adaptableNode);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case DNIAPPackage.ADAPTABLE_LINK: {
				AdaptableLink adaptableLink = (AdaptableLink)theEObject;
				T1 result = caseAdaptableLink(adaptableLink);
				if (result == null) result = caseIAdaptableEntity(adaptableLink);
				if (result == null) result = caseIAdaptableGroupableEntity(adaptableLink);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case DNIAPPackage.ADAPTABLE_LINK_PERFORMANCE: {
				AdaptableLinkPerformance adaptableLinkPerformance = (AdaptableLinkPerformance)theEObject;
				T1 result = caseAdaptableLinkPerformance(adaptableLinkPerformance);
				if (result == null) result = caseIAdaptableEntity(adaptableLinkPerformance);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case DNIAPPackage.ADAPTABLE_END_PERFORMANCE: {
				AdaptableEndPerformance adaptableEndPerformance = (AdaptableEndPerformance)theEObject;
				T1 result = caseAdaptableEndPerformance(adaptableEndPerformance);
				if (result == null) result = caseIAdaptableEntity(adaptableEndPerformance);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case DNIAPPackage.ADAPTABLE_INTERMEDIATE_PERFORMANCE: {
				AdaptableIntermediatePerformance adaptableIntermediatePerformance = (AdaptableIntermediatePerformance)theEObject;
				T1 result = caseAdaptableIntermediatePerformance(adaptableIntermediatePerformance);
				if (result == null) result = caseIAdaptableEntity(adaptableIntermediatePerformance);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case DNIAPPackage.ADAPTABLE_SDN_NODE_PERFORMANCE: {
				AdaptableSdnNodePerformance adaptableSdnNodePerformance = (AdaptableSdnNodePerformance)theEObject;
				T1 result = caseAdaptableSdnNodePerformance(adaptableSdnNodePerformance);
				if (result == null) result = caseIAdaptableEntity(adaptableSdnNodePerformance);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case DNIAPPackage.ADAPTABLE_NETWORK_INTERFACE: {
				AdaptableNetworkInterface adaptableNetworkInterface = (AdaptableNetworkInterface)theEObject;
				T1 result = caseAdaptableNetworkInterface(adaptableNetworkInterface);
				if (result == null) result = caseIAdaptableEntity(adaptableNetworkInterface);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case DNIAPPackage.ADAPTABLE_NETWORK_INTERFACE_PERFORMANCE: {
				AdaptableNetworkInterfacePerformance adaptableNetworkInterfacePerformance = (AdaptableNetworkInterfacePerformance)theEObject;
				T1 result = caseAdaptableNetworkInterfacePerformance(adaptableNetworkInterfacePerformance);
				if (result == null) result = caseIAdaptableEntity(adaptableNetworkInterfacePerformance);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case DNIAPPackage.ADAPTATION_GROUPS: {
				AdaptationGroups adaptationGroups = (AdaptationGroups)theEObject;
				T1 result = caseAdaptationGroups(adaptationGroups);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case DNIAPPackage.IADAPTATION_GROUP: {
				IAdaptationGroup iAdaptationGroup = (IAdaptationGroup)theEObject;
				T1 result = caseIAdaptationGroup(iAdaptationGroup);
				if (result == null) result = caseNamedElement(iAdaptationGroup);
				if (result == null) result = caseIdentifier(iAdaptationGroup);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case DNIAPPackage.NODE_ADAPTATION_GROUP: {
				NodeAdaptationGroup nodeAdaptationGroup = (NodeAdaptationGroup)theEObject;
				T1 result = caseNodeAdaptationGroup(nodeAdaptationGroup);
				if (result == null) result = caseIAdaptationGroup(nodeAdaptationGroup);
				if (result == null) result = caseNamedElement(nodeAdaptationGroup);
				if (result == null) result = caseIdentifier(nodeAdaptationGroup);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case DNIAPPackage.LINK_ADAPTATION_GROUP: {
				LinkAdaptationGroup linkAdaptationGroup = (LinkAdaptationGroup)theEObject;
				T1 result = caseLinkAdaptationGroup(linkAdaptationGroup);
				if (result == null) result = caseIAdaptationGroup(linkAdaptationGroup);
				if (result == null) result = caseNamedElement(linkAdaptationGroup);
				if (result == null) result = caseIdentifier(linkAdaptationGroup);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case DNIAPPackage.ALTERNATIVE_PARAMETER_SET: {
				AlternativeParameterSet<?> alternativeParameterSet = (AlternativeParameterSet<?>)theEObject;
				T1 result = caseAlternativeParameterSet(alternativeParameterSet);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case DNIAPPackage.ALTERNATIVE_VARIABLE: {
				AlternativeVariable alternativeVariable = (AlternativeVariable)theEObject;
				T1 result = caseAlternativeVariable(alternativeVariable);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case DNIAPPackage.ALTERNATIVE_VARIABLE_SET: {
				AlternativeVariableSet alternativeVariableSet = (AlternativeVariableSet)theEObject;
				T1 result = caseAlternativeVariableSet(alternativeVariableSet);
				if (result == null) result = caseAlternativeVariable(alternativeVariableSet);
				if (result == null) result = caseAlternativeParameterSet(alternativeVariableSet);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case DNIAPPackage.ALTERNATIVE_CONSTANT_LONG: {
				AlternativeConstantLong alternativeConstantLong = (AlternativeConstantLong)theEObject;
				T1 result = caseAlternativeConstantLong(alternativeConstantLong);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case DNIAPPackage.ALTERNATIVE_CONSTANT_LONG_VARIABLE_SET: {
				AlternativeConstantLongVariableSet alternativeConstantLongVariableSet = (AlternativeConstantLongVariableSet)theEObject;
				T1 result = caseAlternativeConstantLongVariableSet(alternativeConstantLongVariableSet);
				if (result == null) result = caseAlternativeConstantLong(alternativeConstantLongVariableSet);
				if (result == null) result = caseAlternativeParameterSet(alternativeConstantLongVariableSet);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			default: return defaultCase(theEObject);
		}
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Adaptation Points</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Adaptation Points</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T1 caseAdaptationPoints(AdaptationPoints object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Adaptation Repositories</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Adaptation Repositories</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T1 caseAdaptationRepositories(AdaptationRepositories object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>IAdaptable Entity</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>IAdaptable Entity</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public <T extends ITypedEntity> T1 caseIAdaptableEntity(IAdaptableEntity<T> object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>IAdaptable Groupable Entity</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>IAdaptable Groupable Entity</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T1 caseIAdaptableGroupableEntity(IAdaptableGroupableEntity object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Adaptable Node</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Adaptable Node</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T1 caseAdaptableNode(AdaptableNode object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Adaptable Link</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Adaptable Link</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T1 caseAdaptableLink(AdaptableLink object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Adaptable Link Performance</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Adaptable Link Performance</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T1 caseAdaptableLinkPerformance(AdaptableLinkPerformance object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Adaptable End Performance</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Adaptable End Performance</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T1 caseAdaptableEndPerformance(AdaptableEndPerformance object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Adaptable Intermediate Performance</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Adaptable Intermediate Performance</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T1 caseAdaptableIntermediatePerformance(AdaptableIntermediatePerformance object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Adaptable Sdn Node Performance</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Adaptable Sdn Node Performance</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T1 caseAdaptableSdnNodePerformance(AdaptableSdnNodePerformance object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Adaptable Network Interface</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Adaptable Network Interface</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T1 caseAdaptableNetworkInterface(AdaptableNetworkInterface object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Adaptable Network Interface Performance</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Adaptable Network Interface Performance</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T1 caseAdaptableNetworkInterfacePerformance(AdaptableNetworkInterfacePerformance object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Adaptation Groups</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Adaptation Groups</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T1 caseAdaptationGroups(AdaptationGroups object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>IAdaptation Group</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>IAdaptation Group</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T1 caseIAdaptationGroup(IAdaptationGroup object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Node Adaptation Group</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Node Adaptation Group</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T1 caseNodeAdaptationGroup(NodeAdaptationGroup object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Link Adaptation Group</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Link Adaptation Group</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T1 caseLinkAdaptationGroup(LinkAdaptationGroup object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Alternative Parameter Set</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Alternative Parameter Set</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public <P> T1 caseAlternativeParameterSet(AlternativeParameterSet<P> object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Alternative Variable</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Alternative Variable</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T1 caseAlternativeVariable(AlternativeVariable object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Alternative Variable Set</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Alternative Variable Set</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T1 caseAlternativeVariableSet(AlternativeVariableSet object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Alternative Constant Long</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Alternative Constant Long</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T1 caseAlternativeConstantLong(AlternativeConstantLong object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Alternative Constant Long Variable Set</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Alternative Constant Long Variable Set</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T1 caseAlternativeConstantLongVariableSet(AlternativeConstantLongVariableSet object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Named Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Named Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T1 caseNamedElement(NamedElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Identifier</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Identifier</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T1 caseIdentifier(Identifier object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch, but this is the last case anyway.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject)
	 * @generated
	 */
	@Override
	public T1 defaultCase(EObject object) {
		return null;
	}

} //DNIAPSwitch
